## Proposed changes

Describe what your pull request changes or adds to distr6. Tell us why we should accept this pull request and if it relates to an issue please link to it.

## Types of changes

*Put an `x` in the boxes that apply or remove the lines that don't.*

- [ ] Bugfix (non-breaking change which fixes an issue)
- [ ] New feature (non-breaking change which adds functionality)
- [ ] Breaking change (fix or feature that would cause existing functionality to not work as expected)

## Checklist

*Put an `x` in the boxes that apply or remove the lines that don't. This is a reminder of what we are going to look for before merging your code.*

- [ ] I have added unit tests and **all** tests pass locally with my changes
- [ ] I have added tests that prove my fix is effective or that my feature works
- [ ] I have added documentation where necessary
- [ ] Any dependent changes have been merged and published in downstream modules

## Further comments

If you have added any dependencies please tell us here with a very good reason for doing so.
If the change is large or complex please explain why you wrote the code you did and what alternatives you considered to solve the problem.
